#!/usr/bin/env perl
#
#  Copyright 1996-2014 Jim Pirzyk / pirzyk.org
#  All rights reserved.
#
#  11.t - kernel module testing
#

use Test;
use strict;
use warnings "all";

use Security::kernel;

plan tests => 2;

our (%opts, %config, $kernelmodlist);
#$opts{'d'} = 1;

# Setup defaults
$kernelmodlist = 'echo foo; echo bar; echo baz';
@{$config{'kernelmodules'}} = ( 'foo', 'bar' );

&Security::kernel::check();

# Make sure we found all the bad loaded kernel modules
ok ( scalar keys %Security::kernel::kernelload, 1, "Did not find right number of bad kernel modules loaded");
ok ( $Security::kernel::kernelload{'baz'}, 1, "Did not bad kernel module");

exit 0;
